#pragma once

#include <filesystem>
#include <string>

namespace dlore
{
	struct
	{
		std::string Manufacturer;
		std::string Model;
		std::string Technology;
		unsigned int CellSeriesCount;
		unsigned int Capacity;
		float Vnow;
		float Vmin;
		unsigned int ChargeNow;
		unsigned int ChargeFull;
		unsigned int ChargeFullDesign;
	} typedef BatteryInfo;

	BatteryInfo GetBatteryInfo(std::filesystem::path classPath);
}
